i8kutils (1.43~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 13 Jan 2019 13:44:16 -0800

i8kutils (1.43) unstable; urgency=low

  * Remove ui from i8kmon.
  * Removed smm tool as smm.c code is obsolete. smm functions must be at
    kernel module.
  * Updated i8kmon to work with dell-smm-hwmon kernel module. LP: #1620360.
  * Updated manpages.
  * Drop dependency on tk package.

 -- Vitor Augusto <vitorafsr@gmail.com>  Mon, 06 Mar 2017 19:37:27 -0300

i8kutils (1.42) unstable; urgency=low

  * Enable put fan speeds in config file, avoiding probe values at every
  startup of i8kmon service.
  * Drop dependency on tclx.
  * Fill i8kmon manpage with the set of variables available to
  '/etc/i8kmon.conf'.
  * Update i8kmon manpage.
  * Update i8kctl manpage.
  * Remove i8kbuttons.
  * Improve verboseness in init script.
  * Use more lsb compatible functions.
  * Update 'README', 'debian/control' files infos.
  * Fix constant freeze in some systems. LP: #1349176.
  * Correct system config filename over documentation. Closes: #681578.
  * Enable user set font for applet. Closes: #766620.

 -- Vitor Augusto <vitorafsr@gmail.com>  Mon, 08 Dec 2014 04:11:23 -0200

i8kutils (1.41) unstable; urgency=low

  * Probe 'acpi' and 'acpitool' before use.
  * LP: #1248254.
  * Put 'i8kmon' in auto mode by default.
    - Remove '/etc/default/i8kmon' file
  * Update Standards-Version to 3.9.4.
  * Remove building 'i8kutils-smm'.

 -- Vitor Augusto <vitorafsr@gmail.com>  Sun, 02 Feb 2014 10:44:17 -0200

i8kutils (1.40) unstable; urgency=medium

  * Fix i8kmon error in verbose mode.
  * Fix dependency on 'acpi' for kFreeBSD.
    - Add 'acpi | acpitool' in 'debian/control'
  * Update Standards-Version to 3.9.4.
  * Fix lintian warnings.
  * Closes: #547210.

 -- Vitor Augusto <vitorafsr@gmail.com>  Sat, 16 Nov 2013 16:16:53 -0200

i8kutils (1.39) unstable; urgency=low

  * Fix freeze in some systems. LP: #1179282.
  * Fix bug where i8kfan needs a 'fan' argument. LP: #1104842.
    - i8kfan does not need this argument anymore.
  * Update 'apm -> acpi' in i8kmon.
  * Update i8k.c with the most recent version from the kernel mainline.
  * Update README.
  * Fix BIOS version at 'i8kctl' text to stdout. Closes: #546325.
  * Avoid multiple instances of i8kmon via 'service i8kmon start'. LP: #486483.
  * Put i8kmon enabled by default at /etc/default/i8kmon.
  * Correct global configuration filename to '/etc/i8kmon.conf'. LP: #799144.
    - Correct i8kmon.1 and i8kmon.conf.
  * Correct lintian warnings.
    - Update Standards-Version to 3.9.3
    - Upgrade compat version to 8 and debhelper Build-Depends.
  * Switch to dpkg-source 3.0 (native) format.
  * New maintainer. Closes: #548588.

 -- Vitor Augusto <vitorafsr@gmail.com>  Mon, 21 Oct 2013 15:17:50 -0300

i8kutils (1.34) unstable; urgency=low

  * QA upload.
  * Drop dependency on Tcl 8.4, add missing dependency on tcl providing
    /usr/bin/tclsh.
  * Add $remote_fs to init script LSB headers.
  * Enable hardening.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 30 Sep 2013 12:04:32 +0200

i8kutils (1.33) unstable; urgency=low

  * Fix download location in README. Closes: #546316.
  * Orphan package.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 27 Sep 2009 14:05:19 +0100

i8kutils (1.32) unstable; urgency=low

  * Update README. Closes: #542637, #523615.
  * Fix typo in i8kutils.i8kmon.default. Closes: #542517.
  * Update Standards-Version to 3.8.3.
  * Add Vcs-* entries.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 22 Aug 2009 12:25:59 +0100

i8kutils (1.31) unstable; urgency=low

  * Fix bashisms. Closes: #530099.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 26 May 2009 15:42:43 +0100

i8kutils (1.30) unstable; urgency=low

  * Fix init script pid file creation.
  * Correct i8kmon config file name.

 -- Bradley Smith <bradsmith@debian.org>  Fri, 10 Apr 2009 19:08:53 +0100

i8kutils (1.29) unstable; urgency=low

  * New maintainer. Closes: #522797.
  * debian/control
    - Update Standards-Version to 3.8.1.
    - Upgrade compat version to 7 and debhelper Build-Depends.
  * Tidy up debian/rules.
  * Improve init scripts.
  * Add nouserconfig patch. Thanks to Rowan Thorpe
    <rowanthorpe@yahoo.co.uk>. Closes: #443421.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 07 Apr 2009 17:10:03 +0100

i8kutils (1.28) unstable; urgency=low

  * Moved /etc/i8kbuttons to /etc/default/i8kbuttons. (Closes: #519812)
  * Package is orphaned (#522797); set maintainer to Debian QA Group.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 06 Apr 2009 16:41:29 +0200

i8kutils (1.27+nmu2) unstable; urgency=low

  * Fix a bashism in the i8kbuttons init script.  (Closes: #518205)
  * Add a LSB header to the init scripts.  (Closes: #518203)

 -- Philipp Kern <pkern@debian.org>  Sun, 15 Mar 2009 13:31:56 +0100

i8kutils (1.27+nmu1) unstable; urgency=low

  * Enable building on amd64 and kfreebsd-amd64.  (Closes: #480938)
  * Corrected README.i8kutils to state that the utility is confirmed
    to work with linux-2.6.  (Closes: #366553)
  * Adjust i8kctl(1) to name the fields in line with the documentation
    in i8k.c and README.i8kutils.  (Closes: #427817)
  * Applied a patch by Vincent Crevot to install the init scripts
    again.  (Closes: #356432)

 -- Philipp Kern <pkern@debian.org>  Wed, 04 Mar 2009 00:17:34 +0100

i8kutils (1.27) unstable; urgency=low

  * In debian/control added kfreebsd-i386 to Architecture: field.
    Closes: #314270.

  * In i8kmon disabled the auto option by default. Users must
    enable it manually in the config file.

  * In i8kmon added MAKE_LINTIAN_HAPPY hack.

  * Added the private i8kutils-smm package. This package is used by me
    only for testing purposes and must not be distributed with debian
    or any other distribution.

 -- Massimo Dal Zotto <dz@debian.org>  Fri, 17 Jun 2005 11:26:26 +0200

i8kutils (1.26) unstable; urgency=low

  * Fixed bug in i8k.c. Thanks to Stephen Gildea.

  * Fixed i8k.def sample file.
    Closes: #232306.

  * In i8kmon remove corresponding fan button if one fan not present.
    and undo kernel computation (30*speed) if fan speed seems too high
    (until the kernel driver is rewritten).

  * In i8kmon set WM_COMMAND property to work with gnome-swallow applet.
    Closes: #265914.

  * In /etc/init.d/i8kbuttons set kernel keycodes if running on kernel 2.6
    and I8KBUTTONS_SETKEYCODES enabled in /etc/i8kbuttons configfile.
    Closes: #231824.

 -- Massimo Dal Zotto <dz@debian.org>  Thu,  3 Feb 2005 19:47:33 +0100

i8kutils (1.25) unstable; urgency=low

  * Fixed fprintf format string in i8kbuttons.

  * Changed dependencies: added tk8.4 and removed tclsh.
    Closes: #239895.

 -- Massimo Dal Zotto <dz@debian.org>  Thu, 25 Mar 2004 09:46:03 +0100

i8kutils (1.24) unstable; urgency=low

  * In i8k module added support for alternate DELL signature function.

  * In i8kmon added support for new acpi proc path of Linux 2.6.

  * In i8k.h fixed compilation errors with Linux 2.6 kernel headers.
    Closes: #223163.

  * Updated README file.
    Closes: #193429, #215734.

 -- Massimo Dal Zotto <dz@debian.org>  Mon,  5 Jan 2004 12:13:54 +0100

i8kutils (1.23) unstable; urgency=low

  * In i8kmon require a Tk version compatible with Tcl.
    Closes: #211407.

  * Updated README file.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 22 Sep 2003 22:10:03 +0200

i8kutils (1.22) unstable; urgency=low

  * Ported module to kernel 2.5. The module compiles also on kernel 2.4.
    Removed handle_buttons code since it is now handled by the kernel
    keyboard driver.

  * Declared all module parameters static. In makefile keep needed static
    symbols when stripping the obj.

  * In i8k module use time_after_eq() for comparing jiffies.

  * Added redhat specfile contributed by <roger@eskimo.com>.

  * Updated README file.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 21 Jan 2003 18:42:32 +0100

i8kutils (1.21) unstable; urgency=low

  * Fixed inconsistencies in README and i8kmon manpage.
    Closes: Bug#157852.

 -- Massimo Dal Zotto <dz@debian.org>  Thu, 22 Aug 2002 17:41:23 +0200

i8kutils (1.20) unstable; urgency=low

  * Added i8kbuttons init script as suggested by Philippe Troin.
    Closes: Bug#157339.

  * Renamed /etc/init.d/i8kutils to /etc/init.d/i8kmon.

  * Updated i8kbuttons, i8kmon manpages and README.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 20 Aug 2002 21:25:07 +0200

i8kutils (1.19) unstable; urgency=low

  * In debian/control fixed typo in package description.
    Closes: Bug#156738.

 -- Massimo Dal Zotto <dz@debian.org>  Fri, 16 Aug 2002 22:26:33 +0200

i8kutils (1.18) unstable; urgency=low

  * In init script use sed (essential package) instead of awk.
    Closes: Bug#156442.

  * Updated README.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 12 Aug 2002 21:53:37 +0200

i8kutils (1.17) unstable; urgency=low

  * Fixed quoting bug in init script.
    Closes: Bug#155951.

 -- Massimo Dal Zotto <dz@debian.org>  Thu,  8 Aug 2002 20:41:58 +0200

i8kutils (1.16) unstable; urgency=low

  * In i8kmon script use tcl interpreter instead of tclsh if installed.
    This allows correct handling of SIGHUP.

  * In i8kmon detect automatically laptops with only one fan and reconfigure
    the user interface with left button only.

  * Added i8kutils init script as suggested by Karl E. Jorgensen.
    The daemon is started only if daemon option is set in /etc/i8kmon,
    which is not the default since the monitor is normally run by users.
    Closes: Bug#155629.

  * Updated README.

 -- Massimo Dal Zotto <dz@debian.org>  Wed,  7 Aug 2002 13:53:51 +0200

i8kutils (1.15) unstable; urgency=low

  * Changed i8kbuttons default commands since people keep on sending
    bug reports without reading the README first.
    Closes: Bug#155087, Bug#155106.

  * Updated README.

 -- Massimo Dal Zotto <dz@debian.org>  Thu,  1 Aug 2002 16:05:43 +0200

i8kutils (1.14) unstable; urgency=low

  * In Makefile added install_man target and PREFIX user variable.

  * Updated README.

 -- Massimo Dal Zotto <dz@debian.org>  Tue,  9 Jul 2002 23:30:46 +0200

i8kutils (1.13) unstable; urgency=high

  * In i8k module added support for generating keyboard events.

  * Updated examples/i8k.def and README.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 14 May 2002 14:02:50 +0200

i8kutils (1.12) unstable; urgency=low

  * In i8k module added restricted fan control option.

  * In i8kmon added Reload and Exit commands to the applet menu.

  * In i8kmon added option to display temperature in fahrenheit.

  * If i8kmon exit program it the applet window is unexpectedly destroyed.

  * Updated i8kmon.conf, manpages and README.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 18 Mar 2002 17:18:49 +0100

i8kutils (1.11) unstable; urgency=low

  * Added /proc/acpi support and setmixer.sh example.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 11 Feb 2002 10:04:27 +0100

i8kutils (1.10) unstable; urgency=low

  * Removed version check in /proc/apm.

 -- Massimo Dal Zotto <dz@debian.org>  Sun, 10 Feb 2002 23:17:26 +0100

i8kutils (1.9) unstable; urgency=low

  * Fixed high temperature display in i8kmon.

 -- Massimo Dal Zotto <dz@debian.org>  Sat, 29 Dec 2001 16:38:01 +0100

i8kutils (1.8) unstable; urgency=low

  * Added Xmodmap and 40custom_load-xmodmap examples, updated README file.
    Closes: Bug#123801.

  * Fixed Spelling error in description.
    Closes: Bug#124745.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 18 Dec 2001 21:53:26 +0100

i8kutils (1.7) unstable; urgency=low

  * Changed i8k_probe to allow detection of SMM BIOS on laptops which
    don't support all the SMM functions used by the driver.

 -- Massimo Dal Zotto <dz@debian.org>  Wed, 21 Nov 2001 12:00:58 +0100

i8kutils (1.6) unstable; urgency=low

  * In i8k_smm() return -EINVAL if the returned eax is unchanged.

  * In smm-test script test both fans.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 12 Nov 2001 11:26:23 +0100

i8kutils (1.5) unstable; urgency=low

  * In i8k module changed i8k probe to work on any Inspiron or Latitude
    laptop. For performance reasons don't report ac status in /proc/i8k
    unless the module is loaded with the "power_status=1" parameter.

  * In i8kmon read ac status from /proc/apm if not available in /proc/i8k.
    Changed default timeout to 5 seconds.

  * Changed i8kmon config file format.

 -- Massimo Dal Zotto <dz@debian.org>  Sat, 10 Nov 2001 13:21:29 +0100

i8kutils (1.4) unstable; urgency=low

  * In i8k module get bios_version and bios_machine_id from DMI table.
    Implemented the I8K_MACHINE_ID ioctl.

  * In i8kmon added simple config menu activated with <Button-1>.
    Added suspend option to allow unloading the module while i8kmon
    is running.

  * If fan speed is not available (on I4000) assume fans are running.

 -- Massimo Dal Zotto <dz@debian.org>  Thu,  8 Nov 2001 12:19:17 +0100

i8kutils (1.3) unstable; urgency=low

  * In i8k.c use strlen() instead of sizeof() for signature comparisons.

  * In i8kmon added binding for <Button-2> to fan buttons and fixed bug
    in stuck fan detection.

  * In i8kbuttons added options --verbose and --repeat. Ignored SIGCHLD
    signal to avoid the zombie processes problem.

  * Added smm-test script.

 -- Massimo Dal Zotto <dz@debian.org>  Wed,  7 Nov 2001 13:19:07 +0100

i8kutils (1.2) unstable; urgency=low

  * Rewritten from scratch the i8kmon utility.

  * Changed Fn-buttons constants for compatibilty with I8100.

  * Changed FN_VOL_MUTE from 3 to 4. New i8kbuttons daemon is compatible
    with previous kernel module.

  * Changed check for I8000 into check for generic Inspiron.

  * Added KERN_INFO to all printk instructions.

  * Added README file and manpages.

 -- Massimo Dal Zotto <dz@debian.org>  Tue,  6 Nov 2001 10:54:03 +0100

i8kutils (1.1) unstable; urgency=low

  * Added ioctl support to /proc/i8k.

  * Added i8kbuttons and i8kmon programs.

 -- Massimo Dal Zotto <dz@debian.org>  Fri,  2 Nov 2001 13:34:33 +0100

i8kutils (1.0) unstable; urgency=low

  * Initial release.

 -- Massimo Dal Zotto <dz@debian.org>  Sun, 21 Oct 2001 14:01:56 +0200

Local variables:
mode: debian-changelog
End:
